Site news

General news and announcements
Showing 45 of 45 discussions
  Discussion Started by Replies Last post Created  
Library will be closed during October 2019 Half Term due to building works
Picture of Besim Gerguri
Besim Gerguri
0 Tue, 15 Oct 2019, 3:32 PM
Personalised support for your employment goals
Picture of Besim Gerguri
Besim Gerguri
0 Wed, 18 Sep 2019, 6:11 PM
A survey: Share your views on adult learning
Picture of Besim Gerguri
Besim Gerguri
0 Thu, 29 Aug 2019, 10:59 AM
College closing at 2:00 pm on Friday due to building works
Picture of Besim Gerguri
Besim Gerguri
0 Wed, 21 Aug 2019, 3:48 PM
Library holiday opening hours and summer closure
Picture of Besim Gerguri
Besim Gerguri
0 Mon, 22 Jul 2019, 11:50 AM
The college will be closed to students on 12 July 2019 but reception will be open for enrolment
Picture of Besim Gerguri
Besim Gerguri
0 Mon, 8 Jul 2019, 10:22 AM
For learners: back up your data before 23rd July
Picture of Besim Gerguri
Besim Gerguri
0 Wed, 3 Jul 2019, 5:56 PM
EMPLOYABILITY COACHING: Personalised support for your employment goals
Picture of Besim Gerguri
Besim Gerguri
0 Tue, 25 Jun 2019, 3:39 PM
Tell us your story of ‘How WMC Changed My Life’ and you could win £100 prize
Picture of Besim Gerguri
Besim Gerguri
0 Wed, 5 Jun 2019, 6:01 PM
End Of Year Show
Picture of Besim Gerguri
Besim Gerguri
0 Wed, 5 Jun 2019, 2:19 PM
The college's Crowndale Road site will be closed to all during half-term
Picture of Besim Gerguri
Besim Gerguri
0 Mon, 20 May 2019, 4:09 PM
Are you interested in being a WMC Student Governor?
Picture of Besim Gerguri
Besim Gerguri
0 Mon, 13 May 2019, 2:12 PM
Learner Success Night - 10 July
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Mon, 29 Apr 2019, 11:59 AM
Library will be closed on Friday, 26 April 2019
Picture of Besim Gerguri
Besim Gerguri
0 Thu, 25 Apr 2019, 5:18 PM
Library will be closed due to building works until 22 April 2019
Picture of Besim Gerguri
Besim Gerguri
0 Mon, 8 Apr 2019, 9:42 AM
Library open 11:30-14:30 on Friday, 29th March, due to staff absence
Picture of Besim Gerguri
Besim Gerguri
0 Fri, 29 Mar 2019, 8:59 AM
Take the Learner Satisfaction Survey today!
Picture of Besim Gerguri
Besim Gerguri
0 Mon, 18 Mar 2019, 4:22 PM
COLLEGE IS OPEN AS USUAL TODAY - 1 February 2019
Picture of Besim Gerguri
Besim Gerguri
0 Fri, 1 Feb 2019, 7:06 AM
Inspired by Ruskin exhibition - 16 Jan until 8 Feb
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Mon, 21 Jan 2019, 10:28 AM
NEW Spring/Summer Course Guide out now!
Picture of Besim Gerguri
Besim Gerguri
0 Fri, 7 Dec 2018, 9:22 AM
Job opportunities event for students at our college, Thursday 6th December, Maurice Hall, 12:30—2.00
Picture of Besim Gerguri
Besim Gerguri
0 Fri, 16 Nov 2018, 11:00 AM
We are having an Ofsted inspection this week
Picture of Besim Gerguri
Besim Gerguri
0 Mon, 12 Nov 2018, 6:07 PM
Ruskin Gallery (café) exhibition, all learners can enter
Picture of Besim Gerguri
Besim Gerguri
0 Thu, 8 Nov 2018, 11:28 AM
EMPLOYABILITY COACHING - Personalized support for your employment goals, Mondays 10.00 – 15.30 @ WMC Library
Picture of Besim Gerguri
Besim Gerguri
0 Fri, 2 Nov 2018, 4:19 PM
Black History Month event - Thurs 1 November
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Tue, 30 Oct 2018, 3:42 PM
Half term week, 22-27 October
Picture of Besim Gerguri
Besim Gerguri
0 Thu, 18 Oct 2018, 4:18 PM
The college will be closed for students on 14 December 2018
Picture of Besim Gerguri
Besim Gerguri
0 Thu, 18 Oct 2018, 9:48 AM
The college will be closed for students on 7 September 2018
Picture of Besim Gerguri
Besim Gerguri
0 Fri, 31 Aug 2018, 1:35 PM
The college will be closed on 6 July 2018
Picture of Besim Gerguri
Besim Gerguri
0 Mon, 2 Jul 2018, 2:28 PM
WMC Open Day - Saturday 30 June 2018
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Tue, 26 Jun 2018, 11:02 PM
UAL Foundation Diploma End of Year Show - 14 June
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Thu, 7 Jun 2018, 7:15 PM
Choices and Opportunities Day - 3 July
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Thu, 7 Jun 2018, 7:13 PM
LOOK OUT FOR OUR EMAIL TO KEEP IN TOUCH
Picture of Besim Gerguri
Besim Gerguri
0 Wed, 23 May 2018, 3:55 PM
Worldwide Music and Culture Day (Diversity Day)
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Wed, 16 May 2018, 5:14 PM
WIN £100 PRIZE: HOW WMC CHANGED MY LIFE STORY
Picture of Besim Gerguri
Besim Gerguri
0 Tue, 15 May 2018, 7:21 AM
College is open as normal
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Sat, 3 Mar 2018, 7:11 AM
College will be OPEN today (Thurs 1 March)
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Thu, 1 Mar 2018, 6:54 AM
College closing at 5:00pm TODAY due to snow.
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Wed, 28 Feb 2018, 1:24 PM
WMC Craft exhibition and Performing Arts Concert
Picture of Mandip Bilkhu
Mandip Bilkhu
0 Wed, 29 Nov 2017, 4:21 PM
Principal Learner Forums
Picture of Liz Procter
Liz Procter
0 Tue, 7 Nov 2017, 1:47 PM
New Open Learning Centre Timetable
Picture of Liz Procter
Liz Procter
0 Tue, 31 Oct 2017, 10:25 AM
Postcards Show - "Wellbeing"
Picture of Liz Procter
Liz Procter
0 Wed, 4 Oct 2017, 12:06 PM
Matrix Announcement!
Picture of Liz Procter
Liz Procter
0 Tue, 13 Jun 2017, 2:30 PM
Important information about changes to course fees from September
Picture of Liz Procter
Liz Procter
0 Thu, 11 May 2017, 11:19 AM
Check out the Open Learning Centre Workshops - Open to All
Picture of Liz Procter
Liz Procter
0 Mon, 26 Sep 2016, 10:42 AM